Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.editions.query
Class EditionSorts

    java.lang.Object
      com.ibm.workplace.wcm.api.editions.query.EditionSorts

    public class EditionSorts

extends java.lang.Object

This class contains several static methods for helping creating `EditionSort` object. Here is an example of how to use `EditionSorts`:

      EditionQuery query = editionService.createQuery();
      query.addSelector(EditionSelectors.nameLike("apple_%"));
      query.addSort(EditionSorts.byName(SortDirection.ASCENDING));

Since:
  8.5

Nested Class Summary
`protected static interface` | `EditionSorts.SortFactory` Factory interface, used for internal implementation

Constructor Summary
`EditionSorts()`

Method Summary
`static EditionSort` | `byDateCreated(SortDirection direction)` Returns a `EditionSort` representing 'by created date'.
`static EditionSort` | `byName(SortDirection direction)` Returns a `EditionSort` representing 'by name'.
`static void` | `setFactory(EditionSorts.SortFactory factory)` Sets the concrete factory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditionSorts

    public EditionSorts()

Method Detail

### byName

    public static EditionSort byName(SortDirection direction)

  Returns a `EditionSort` representing 'by name'.

  Parameters:
    `direction` - whether ascending or descending
  Returns:
    'by name' edition sort

### byDateCreated

    public static EditionSort byDateCreated(SortDirection direction)

  Returns a `EditionSort` representing 'by created date'.

  Parameters:
    `direction` - whether ascending or descending
  Returns:
    'by created date' edition sort

### setFactory

    public static void setFactory(EditionSorts.SortFactory factory)

  Sets the concrete factory

  Parameters:
    `factory` - concrete factory

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD